Subject: bug#21889: closed (Re: bug#21889: hostname -f)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 12 Nov 2015 16:54:02 +0000

Your bug report

#21889: hostname -f

which was filed against the coreutils package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
21889: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=21889
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#21889: hostname -f
From: Eric Blake <[email-masked]>
To: Notes Jonny <[email-masked]>, [email-masked], GNU bug control <[email-masked]>
Date: Thu, 12 Nov 2015 09:53:28 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

tag 21889 notabug
thanks

On 11/12/2015 05:16 AM, Notes Jonny wrote:
> GNU package seems to be quite different to the standard debian package

Or rather, debian packages a different hostname for their distro than
the GNU coreutils' hostname.

> 
> https://tracker.debian.org/pkg/hostname
> 
> http://man7.org/linux/man-pages/man1/hostname.1.html
> 
> Cygwin uses GNU Coreutils version with my old cygwin seems to not support -f
> 
> Could "hostname" be standardised, creating a single package, rather
> than duplicating?

This is a distro question, and better asked on the cygwin list.  GNU
coreutils has already marked hostname as one of the utilities that can
easily be excluded from installation, for the sake of distros that plan
to package a different package's hostname as their default.  But it is
then up to the distro which other hostname they plan to use, which is
more relevant to the distro and not to upstream coreutils.

> I am not on this list, so could you include my email address  in any replies

That's already list policy (thanks to the reply-to-all feature of modern
mail clients).

I don't see anything that needs to change in upstream coreutils, so I'm
closing the bug report in this database.  However, feel free to add
further comments to this thread, and/or to take your question to the
cygwin list on how you propose they change their distro.

-- 
Eric Blake   eblake redhat com    +1-919-301-3266
Libvirt virtualization library http://libvirt.org

Subject: hostname -f
From: Notes Jonny <[email-masked]>
To: [email-masked]
Date: Thu, 12 Nov 2015 12:16:09 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

GNU package seems to be quite different to the standard debian package

https://tracker.debian.org/pkg/hostname

http://man7.org/linux/man-pages/man1/hostname.1.html

Cygwin uses GNU Coreutils version with my old cygwin seems to not support -f

Could "hostname" be standardised, creating a single package, rather
than duplicating?

I am not on this list, so could you include my email address  in any replies
Thank you.

$ hostname -f
hostname: unknown option -- f
Try `hostname --help' for more information.

$ hostname --version
hostname (GNU coreutils) 8.15
Packaged by Cygwin (8.15-1)
Copyright (C) 2012 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.